﻿using BPA.Common.Entity;
using SqlSugar;

namespace BPA.SaaS.Material.Api.Entity
{
    ///<summary>
    /// 原料单位表
    ///</summary>
    [SugarTable("BPA_Uint")]
    public class BPA_Unit : BaseGroupIdEntity
    {
        /// <summary>
        /// 单位名称
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(200)", IsNullable = false)]
        public string Name { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(500)", IsNullable = true)]
        public string Remark { get; set; }
    }
}