﻿using BPA.Component.DbClient;
using Microsoft.Extensions.Logging;

namespace BPA.SaaS.Material.Api.Model;

public class MaterialDbSugarClient : BaseDbClient<MaterialDbSugarClient>
{
    public MaterialDbSugarClient(ILogger<MaterialDbSugarClient> logger, MaterialApiConfig config)
        : base(BuildConnectionConfig(config.MaterialMySqlDb),
            config.IsLogSql,
            logger)
    {
    }
}